AO-DUMPFLASH(1)

NAME
ao-dumpflash - Fetch flash memory contents from AltOS device

SYNOPSIS
ao-dumpflash [--tty tty-device] [--device altos-device] [--output output-file] [--remote] [--frequency frequency] [--call callsign]

OPTIONS

-T tty-device | --tty tty-device
    This selects which tty device ao-dumpflash uses to communicate with the target device.

-D AltOS-device | --device AltOS-device
    Search for a connected device. This requires an argument of one of the following forms:

    TeleMetrum:2
    TeleMetrum
    2

    Leaving out the product name will cause the tool to select a suitable product, leaving out the serial number will cause the tool to match one of the available devices.

-o output-file | --output output-file
    Write flash contents to the specified file rather than stdout.

-R | --remote
    This uses the command radio link to download the flash from TeleMetrum through a TeleDongle.

-F frequency | --frequency frequency
    Specifies the radio frequency to use for remote communications in kHz. Default is 434550.

-C callsign | --call callsign
    Specifies the callsign to use for remote communications. Default is N0CALL.

DESCRIPTION
ao-dumpflash downloads the entire flash memory contents from a connected AltOS device and writes it to either stdout or the specified output file.

USAGE
ao-dumpflash connects to the specified target device and dumps the flash.

AUTHOR
Keith Packard